> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/order-comment.md).

# Order Comment

## Retrieve order comment

> Retrieve a specific order comment by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"OrderComment":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"Primary key of the order comment","readOnly":true},"comment":{"type":"string","description":"Comment of the order comment"},"order":{"type":"integer","description":"ID of the order"},"created_by":{"type":"integer","description":"ID of the created by user","readOnly":true},"created_date":{"type":"string","format":"date-time","description":"Date and time the order comment was created","readOnly":true},"modified_date":{"type":"string","format":"date-time","description":"Date and time the order comment was last modified","readOnly":true}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/order_comments/{id}/":{"get":{"summary":"Retrieve order comment","description":"Retrieve a specific order comment by ID","tags":["OrderComment"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Order comment successfully retrieved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderComment"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List order comments

> List all order comments

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"id":{"name":"id","in":"query","required":false,"description":"Filters by id","schema":{"type":"integer"}},"order":{"name":"order","in":"query","description":"Filter by order ID.","required":false,"schema":{"type":"number"}},"comment":{"name":"comment","in":"query","description":"Filter by comment","required":false,"schema":{"type":"string"}},"order_number":{"name":"order_number","in":"query","description":"Filter by order number","required":false,"schema":{"type":"string"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"modified_date":{"name":"modified_date","in":"query","required":false,"description":"Filter by modification date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"created_by":{"name":"created_by","in":"query","description":"ID of the user who created the cancellation plan","required":false,"schema":{"type":"integer"}},"pk":{"name":"pk","in":"query","required":false,"description":"Filters by primary key","schema":{"type":"integer"}},"pk__gt":{"name":"pk__gt","in":"query","description":"Filter by primary key greater than a specific value.","schema":{"type":"string"}},"pk__gte":{"name":"pk__gte","in":"query","required":false,"description":"Filters by primary key greater than or equal to the given value","schema":{"type":"integer"}},"pk__lt":{"name":"pk__lt","in":"query","required":false,"description":"Filters by primary key less than the given value","schema":{"type":"integer"}},"pk__lte":{"name":"pk__lte","in":"query","required":false,"description":"Filters by primary key less than or equal to the given value","schema":{"type":"integer"}},"order_id":{"name":"order_id","in":"query","required":false,"schema":{"type":"integer"},"description":"Order ID"},"created_by_email":{"name":"created_by_email","in":"query","description":"Filter by created by email","required":false,"schema":{"type":"string"}}},"schemas":{"OrderComment":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"Primary key of the order comment","readOnly":true},"comment":{"type":"string","description":"Comment of the order comment"},"order":{"type":"integer","description":"ID of the order"},"created_by":{"type":"integer","description":"ID of the created by user","readOnly":true},"created_date":{"type":"string","format":"date-time","description":"Date and time the order comment was created","readOnly":true},"modified_date":{"type":"string","format":"date-time","description":"Date and time the order comment was last modified","readOnly":true}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/order_comments/":{"get":{"summary":"List order comments","description":"List all order comments","tags":["OrderComment"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/order"},{"$ref":"#/components/parameters/comment"},{"$ref":"#/components/parameters/order_number"},{"$ref":"#/components/parameters/created_date"},{"$ref":"#/components/parameters/modified_date"},{"$ref":"#/components/parameters/created_by"},{"$ref":"#/components/parameters/pk"},{"$ref":"#/components/parameters/pk__gt"},{"$ref":"#/components/parameters/pk__gte"},{"$ref":"#/components/parameters/pk__lt"},{"$ref":"#/components/parameters/pk__lte"},{"$ref":"#/components/parameters/order_id"},{"$ref":"#/components/parameters/created_by_email"}],"responses":{"200":{"description":"Order comments successfully listed","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of results."},"next":{"type":"string","format":"uri","nullable":true,"description":"URL of the next page of results."},"previous":{"type":"string","format":"uri","nullable":true,"description":"URL of the previous page of results."},"results":{"type":"array","items":{"$ref":"#/components/schemas/OrderComment"}}}}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create order comment

> Create a new order comment

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrderComment":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"Primary key of the order comment","readOnly":true},"comment":{"type":"string","description":"Comment of the order comment"},"order":{"type":"integer","description":"ID of the order"},"created_by":{"type":"integer","description":"ID of the created by user","readOnly":true},"created_date":{"type":"string","format":"date-time","description":"Date and time the order comment was created","readOnly":true},"modified_date":{"type":"string","format":"date-time","description":"Date and time the order comment was last modified","readOnly":true}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}}}},"paths":{"/api/v1/order_comments/":{"post":{"summary":"Create order comment","description":"Create a new order comment","tags":["OrderComment"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderComment"}}}},"responses":{"201":{"description":"Order comment successfully created","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/OrderComment"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/omnitron-openapis/order-comment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
